Linux kernel 4.8 hangs at boot up

Bug #1659340 reported by kjellahl on 2017-01-25
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Critical
Joseph Salisbury
Yakkety
Critical
Joseph Salisbury
Zesty
Critical
Joseph Salisbury

Bug Description

I've got an Acer Aspire V5-551G with a 64-bit AMD processor with dual boot,
Windows 10 and Ubuntu 16.10.

Ubuntu can be started and runs without problems with Linux kernel 4.4.0-45.
When I try to start with any of the 4.8.0 kernels delivered with regular
Ubuntu updates, they all hang after printing

  Läser in Linux 4.8.0-34-generic ...
  Läser in initial ramdisk ...

Sorry for the partly Swedish text. I guess that the lines would start with
"Loading" instead of "Läser in" on an English version.

The behaviour is the same with all 4.8.0 versions up to the latest 4.8.0-34
and with -generic, -generic (upstart) and -generic (recovery mode).

After a while the fan runs at full speed, as if the processor is working
hard, but nothing happens.

After I've tried in vain to start with Linux 4.8.0-xx, and then starts
with 4.4.0-45, the following errors are usually printed:

[ 2.511733] usb 4-3: string descriptor 0 read error: -22
[ 3.841872] [drm:radeon_scpi_init [radeon]] *ERROR* Cannot find backlight controller
/dev/sda7: clean, 807007/9363456 files, 7364300/37423360 blocks
[ 21.335117] usb 4-3: string descriptor 0 read error: -22

When a successful start has not been immediately preceded by a failed start,
only the line beginning "/dev/sda7" is printed.

I have previously commented on bug #1635447. As recommended there, I've
also tested with the upstream kernel 4.10-rc3. It worked just as bad as
4.8.0.

I tried to report this bug with 'ubuntu-bug linux' after I had booted with
the 4.4.0-45 kernel, but I couldn't. It said that linux-image-4.4.0-45-
generic is not an official Ubuntu package.
---
ApportVersion: 2.20.3-0ubuntu8.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC2: kjell 2022 F.... pulseaudio
 /dev/snd/controlC1: kjell 2022 F.... pulseaudio
 /dev/snd/controlC0: kjell 2022 F.... pulseaudio
CurrentDesktop: GNOME-Flashback:Unity
DistroRelease: Ubuntu 16.10
HibernationDevice: RESUME=UUID=d42f8b71-8244-45d9-a814-ca7b9fb474bb
InstallationDate: Installed on 2013-09-25 (1218 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MachineType: Acer Aspire V5-551G
Package: linux (not installed)
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-45-generic.efi.signed root=UUID=b953dea5-2c7a-4d65-9b8e-446b111ccce8 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.4.0-45.66-generic 4.4.21
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-45-generic N/A
 linux-backports-modules-4.4.0-45-generic N/A
 linux-firmware 1.161.1
Tags: yakkety
Uname: Linux 4.4.0-45-generic x86_64
UpgradeStatus: Upgraded to yakkety on 2016-10-26 (91 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 03/11/2013
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V2.14
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: Havok
dmi.board.vendor: Acer
dmi.board.version: Type2 - A01 Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsydeCorp.:bvrV2.14:bd03/11/2013:svnAcer:pnAspireV5-551G:pvrV2.14:rvnAcer:rnHavok:rvrType2-A01BoardVersion:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.name: Aspire V5-551G
dmi.product.version: V2.14
dmi.sys.vendor: Acer

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1659340

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected yakkety
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

kjellahl (kjell-ahlstedt) wrote :

When I collected information with "apport-collect 1659340" I had booted
with the 4.4.0-45 kernel, which works for me. Therefore I suppose that some
of the collected information is irrelevant.
I can't boot with any later kernel that I've tried.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a bisect to figure out what commit caused this regression. We need to identify the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue.

Can you test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

4.5 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5-wily/
4.6 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-yakkety/
4.7 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.7/
4.8-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8-rc1/

You don't have to test every kernel, just up until the kernel that first has this bug.

Changed in linux (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu Yakkety):
status: New → Confirmed
importance: Undecided → High
tags: added: performing-bisect zesty
tags: added: kernel-da-key
lotek (krabelle) wrote :

hello, very interesting. I have similar experience with KabyLake mobil-CPU i5-7200 on Lenovo 710S Notebook. I tried also Fedora 25 live 64bit and all Ubuntu kernel higher than 4.4 failed. 17.04 (build 2017-01-25), kernel from Ubuntu mainline 4.9.5 failed to boot. Only all 16.04.1 4.4 kernel and build (until 2017-01-25) works fine.
With kernel higher than 4.4 grub start and crash with purple screen:
"Loading initla ramdisk
_"
I documented here: https://forums.lenovo.com/t5/Linux-Discussion/IdeaPad710s-80VQ0053GE-kabyLake-i5-7200-only-boots-Kernel-4-4-e/td-p/3552483

I use full-encrypted nve-ssd Intel 600p but also live-USB-Images don't work.
Shall I raise a new bug?

kjellahl (kjell-ahlstedt) wrote :

4.5 final: Passed (boots up and works ok)
4.6 final: Passed
4.7 final: Passed
4.8-rc1: Passed
4.8.0-26: Failed

@Joseph, all the 4 kernel versions that you wanted me to test, work. My PC
boots up, and Ubuntu can be used as usual.
4.8.0-26 and all the later 4.8.0-xx versions hang at the grub screen with
the "Läser in ..." ("Loading ...") messages.

lotek (krabelle) wrote :

ok. I also tested on i5-7200 on Lenovo 710S Notebook.
please tell me whether I shall open a new bugtrack-entry. thanks!

4.5 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.5-wily/ passed on 710s
4.6 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-yakkety/ passed on 710s
4.7 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.7/ passed on 710s
4.8-rc1: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8-rc1/ passed on 710s
4.8-rc7: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8-rc7/ passed on 710s
4.8-rc8: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8-rc8/ Failed on 710s
4.8.0 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8.0 Failed on 710s
...
4.9.5 http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.9.5/ Failed on 710s

kjellahl (kjell-ahlstedt) wrote :

I also tested 4.8-rc7 and 4.8-rc8 with the same results as lotek:
4.8-rc7 passed
4.8-rc8 failed

Joseph Salisbury (jsalisbury) wrote :

Thanks for all the testing. It appears the bug was introduced in v4.8-rc8. I'll start a kernel bisect betweeon -rc7 adn -rc7 and post a test kernel shortly.

In the mean time, can you test the latest mainline kernel to see if the bug is already fixed there? It can be downloaded from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.10-rc5

Changed in linux (Ubuntu Yakkety):
status: Confirmed → In Progress
Changed in linux (Ubuntu Zesty):
status: Confirmed → In Progress
Changed in linux (Ubuntu Yakkety):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Zesty):
assignee: nobody → Joseph Salisbury (jsalisbury)
lotek (krabelle) wrote :

v4.10-rc5 failed.

but please also expand this bug to 16.04 LTS.

kjellahl (kjell-ahlstedt) wrote :

v4.10-rc5 failed

Changed in linux (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Joseph Salisbury (jsalisbury)
kjellahl (kjell-ahlstedt) wrote :

v4.7.5 passed
v4.7.6 failed

Joseph Salisbury (jsalisbury) wrote :

I started a kernel bisect between v4.8-rc7 and v4.8-rc8. The kernel bisect will require testing of about 7-10 test kernels.

I built the first test kernel, up to the following commit:
f887c21e214757e6b1b9dd65e396ee3e7cbb6b18

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1659340

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

kjellahl (kjell-ahlstedt) wrote :

v4.8-rc7-201701261200 passed

When I installed this kernel with "sudo dpkg -i *.deb" it replaced the
previously installed v4.8-rc7. Was that alright? Should I have uninstalled
the previous v4.8-rc7 before I installed the new one? Or isn't it necessary?

lotek (krabelle) wrote :

4.8.0-040800rc7-generic #201701261200 passed [on Lenovo 710S (KabyLake i5-7200)]

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
d0c1d15f5ed7f028d2c284b7fed7e73575d9c24d

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1659340

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

kjellahl (kjell-ahlstedt) wrote :

v4.8-rc7-201701271606 passed (i.e. no bug in this version)

lotek (krabelle) wrote :

4.8.0-040800rc7-generic #201701271606 passed

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
8d2c0d36d6826ddc3114801c599619d3f2932f0a

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1659340

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

lotek (krabelle) wrote :

4.8.0-040800rc7.201701301041 failed [on Lenovo 710S (KabyLake i5-7200)]

4.10-rc6 failed [on Lenovo 710S (KabyLake i5-7200)]

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
4b8b0ff60f1d6553914a5fc17f16f9aa38a2036e

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1659340

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

lotek (krabelle) wrote :

4.8.0-040800rc7-generic #201701301734 passed

kjellahl (kjell-ahlstedt) wrote :

v4.8-rc7-201701301041 don't know
v4.8-rc7-201701301734 passed (on Acer Aspire V5-551G)

v4.8-rc7-201701301041 disappeared before I had a chance to test it. But it
doesn't matter. I'm more than 98% certain that lotek and I will always get
the same results.

Joseph Salisbury (jsalisbury) wrote :

I'll start putting test kernels in unique directories, so I don't remove them.

I built the next test kernel, up to the following commit:
2507c856620cc7474e6101b0a05f82ac0ae5bf69

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1659340/2507c856620cc7474e6101b0a05f82ac0ae5bf69

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

lotek (krabelle) wrote :

v4.8.0-040800rc7-201701311126 failed

kjellahl (kjell-ahlstedt) wrote :

v4.8-rc7-201701311126 failed

Joseph Salisbury (jsalisbury) wrote :

I'll start putting test kernels in unique directories, so I don't remove them.

I built the next test kernel, up to the following commit:
7597cdc066313bfd211cca2f9252dfeb41271391

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1659340/7597cdc066313bfd211cca2f9252dfeb41271391

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

lotek (krabelle) wrote :

4.8.0-040800rc7.201701311339 failed

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
1297667083d5442aafe3e337b9413bf02b114edb

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1659340/1297667083d5442aafe3e337b9413bf02b114edb

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

kjellahl (kjell-ahlstedt) wrote :

v4.8-rc7-201701311339 failed
v4.8-rc7-201701311526 failed

lotek (krabelle) wrote :

4.8.0-040800rc7 201701311526 failed

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
e535ec0899d1fe52ec3a84c9bc03457ac67ad6f7

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1659340/e535ec0899d1fe52ec3a84c9bc03457ac67ad6f7

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

lotek (krabelle) wrote :

4.8.0-040800rc7.201702011104 passed

Joseph Salisbury (jsalisbury) wrote :

The bisect reported the following as the first bad commit:

commit 1297667083d5442aafe3e337b9413bf02b114edb
Author: Matt Fleming <email address hidden>
Date: Mon Sep 19 13:09:09 2016 +0100

    x86/efi: Only map RAM into EFI page tables if in mixed-mode

I built a yakkety test kernel with this commit reverted. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1659340/

Can you test that kernel and report back if it has the bug or not?

Note, with this test kernel you need to install both the linux-image and linux-image-extra .deb packages.

lotek (krabelle) wrote :

4.8.0-34-generic #36~lp1659340Commit129766708Reverted passed (!)

some comments:
I installed on "Lenovo 710S (KabyLake i5-7200)" these 4 packages only: OK?

linux-headers-4.8.0-34-generic_4.8.0-34.36~lp1659340Commit129766708Reverted_amd64.deb
linux-headers-4.8.0-34_4.8.0-34.36~lp1659340Commit129766708Reverted_all.deb
linux-image-4.8.0-34-generic_4.8.0-34.36~lp1659340Commit129766708Reverted_amd64.deb
linux-image-extra-4.8.0-34-generic_4.8.0-34.36~lp1659340Commit129766708Reverted_amd64.deb

during installation I got these 2 messages, but same as on all other kernel. missing intel-drivers...
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915

kjellahl (kjell-ahlstedt) wrote :

v4.8-rc7-201702011104 passed
v4.8.0-34.36-commit129766708reverted failed

For the first time my result is not the same as lotek's. I installed the same
4 packages. Do you think it's worthwhile to uninstall and then reinstall?
"dpkg -l" reports that there is also a linux-signed-image-4.8.0-34-generic
package. Can it spoil the test?

Joseph Salisbury (jsalisbury) wrote :

After installing and rebooting into the new kernel, can you run the following from a terminal:

uanme -a

kjellahl (kjell-ahlstedt) wrote :

Correction:
v4.8.0-34.36-commit129766708reverted passed

Yes, it was linux-signed-image-4.8.0-34-generic that made the test fail.
When I temporarily changed
  linux /boot/vmlinuz-4.8.0-34-generic.efi.signed .....
to
  linux /boot/vmlinuz-4.8.0-34-generic ......
in grub's startup script, the test passed.

/boot/vmlinuz-4.8.0-34-generic, but not /boot/vmlinuz-4.8.0-34-generic.efi.signed,
was updated when I installed the new packages.

The output from uname -a is now
Linux kjell-Aspire-V5-551G 4.8.0-34-generic #36~lp1659340Commit129766708Reverted SMP Wed Feb 1 18:01:53 UTC x86_64 x86_64 x86_64 GNU/Linux

no longer affects: linux (Ubuntu Trusty)
Joseph Salisbury (jsalisbury) wrote :

Upstream has a patch that may fix this bug:
https://git.kernel.org/cgit/linux/kernel/git/efi/efi.git/commit/?h=urgent&id=090abfc9dc7faf3f84799f956158c8c3af149a81

I built a test kernel with this patch applied. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1659340/patched/

Can you try this kernel and see if it resolves this bug?

lotek (krabelle) wrote :

4.8.0-34-generic #36~lp1659340Patched passed

uname -a
Linux mex-notebook 4.8.0-34-generic #36~lp1659340Patched SMP Thu Feb 2 21:04:45 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

kjellahl (kjell-ahlstedt) wrote :

v4.8.0-34.36-lp1659340Patched passed

uname -a
Linux kjell-Aspire-V5-551G 4.8.0-34-generic #36~lp1659340Patched SMP Thu Feb 2 21:04:45 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Changed in linux (Ubuntu Yakkety):
importance: High → Critical
Changed in linux (Ubuntu Zesty):
importance: High → Critical
Tim Gardner (timg-tpi) on 2017-02-03
Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed
kjellahl (kjell-ahlstedt) wrote :

v4.10-rc7 passed

uname -a
Linux kjell-Aspire-V5-551G 4.10.0-041000rc7-generic #201702051931 SMP Mon Feb 6 00:33:39 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

The verification of the Stable Release Update for linux-hwe has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in linux (Ubuntu Yakkety):
status: In Progress → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-yakkety' to 'verification-done-yakkety'. If the problem still exists, change the tag 'verification-needed-yakkety' to 'verification-failed-yakkety'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-yakkety
kjellahl (kjell-ahlstedt) wrote :

v4.8.0-40 passed

Great! The kernel in yakkety-proposed works.

uname -a
Linux kjell-Aspire-V5-551G 4.8.0-40-generic #43-Ubuntu SMP Thu Feb 23 16:01:19 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

tags: added: verification-done-yakkety
removed: verification-needed-yakkety
lotek (krabelle) wrote :

v4.8.0-40 passed. yes the yakkety-kernel as HWE-Kernet in 16.04.2 works! thx.
tested on device "Lenovo 710S (KabyLake i5-7200)".

Launchpad Janitor (janitor) wrote :
Download full text (6.0 KiB)

This bug was fixed in the package linux - 4.8.0-40.43

---------------
linux (4.8.0-40.43) yakkety; urgency=low

  * linux: 4.8.0-40.43 -proposed tracker (LP: #1667066)

  [ Andy Whitcroft ]
  * NFS client : permission denied when trying to access subshare, since kernel
    4.4.0-31 (LP: #1649292)
    - fs: Better permission checking for submounts

  * shaking screen (LP: #1651981)
    - drm/radeon: drop verde dpm quirks

  * [0bda:0328] Card reader failed after S3 (LP: #1664809)
    - usb: hub: Wait for connection to be reestablished after port reset

  * linux-lts-xenial 4.4.0-63.84~14.04.2 ADT test failure with linux-lts-xenial
    4.4.0-63.84~14.04.2 (LP: #1664912)
    - SAUCE: apparmor: fix link auditing failure due to, uninitialized var

  * In Ubuntu 17.04 : after reboot getting message in console like Unable to
    open file: /etc/keys/x509_ima.der (-2) (LP: #1656908)
    - SAUCE: ima: Downgrade error to warning

  * 16.04.2: Extra patches for POWER9 (LP: #1664564)
    - powerpc/mm: Fix no execute fault handling on pre-POWER5
    - powerpc/mm: Fix spurrious segfaults on radix with autonuma

  * ibmvscsis: Add SGL LIMIT (LP: #1662551)
    - ibmvscsis: Add SGL limit

  * [Hyper-V] Bug fixes for storvsc (tagged queuing, error conditions)
    (LP: #1663687)
    - scsi: storvsc: Enable tracking of queue depth
    - scsi: storvsc: Remove the restriction on max segment size
    - scsi: storvsc: Enable multi-queue support
    - scsi: storvsc: use tagged SRB requests if supported by the device
    - scsi: storvsc: properly handle SRB_ERROR when sense message is present
    - scsi: storvsc: properly set residual data length on errors

  * Ubuntu16.10-KVM:Big configuration with multiple guests running SRIOV VFs
    caused KVM host hung and all KVM guests down. (LP: #1651248)
    - KVM: PPC: Book 3S: XICS cleanup: remove XICS_RM_REJECT
    - KVM: PPC: Book 3S: XICS: correct the real mode ICP rejecting counter
    - KVM: PPC: Book 3S: XICS: Fix potential issue with duplicate IRQ resends
    - KVM: PPC: Book 3S: XICS: Implement ICS P/Q states
    - KVM: PPC: Book 3S: XICS: Don't lock twice when checking for resend

  * ISST-LTE:pNV: ppc64_cpu command is hung w HDs, SSDs and NVMe (LP: #1662666)
    - blk-mq: Avoid memory reclaim when remapping queues
    - blk-mq: Fix failed allocation path when mapping queues
    - blk-mq: Always schedule hctx->next_cpu

  * systemd-udevd hung in blk_mq_freeze_queue_wait testing unpartitioned NVMe
    drive (LP: #1662673)
    - percpu-refcount: fix reference leak during percpu-atomic transition

  * [Yakkety SRU] Enable KEXEC support in ARM64 kernel (LP: #1662554)
    - [Config] Enable KEXEC support in ARM64.

  * [Hyper-V] Fix ring buffer handling to avoid host throttling (LP: #1661430)
    - Drivers: hv: vmbus: On write cleanup the logic to interrupt the host
    - Drivers: hv: vmbus: On the read path cleanup the logic to interrupt the host
    - Drivers: hv: vmbus: finally fix hv_need_to_signal_on_read()

  * brd module compiled as built-in (LP: #1593293)
    - CONFIG_BLK_DEV_RAM=m

  * regession tests failing after stackprofile test is run (LP: #1661030)
    - SAUCE: fix regression with domain change in compla...

Read more...

Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Norbert Tretkowski (nobse) wrote :

I got the update to 4.8.0-40.43 on 2017-03-02, but now it is no longer available.

kjellahl (kjell-ahlstedt) wrote :

v4.8.0-40 passed
v4.8.0-41 failed !!!

I just got the 4.8.0-41 version of Ubuntu's Linux kernel. It does not work.
The bug that was fixed in 4.8.0-40 re-appears in 4.8.0-41. At least the
symptom is the same.

lotek (krabelle) wrote :

passed "Linux yyy-notebook 4.8.0-41-generic #44~16.04.1-Ubuntu SMP Fri Mar 3 17:11:16 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux"

@kjellahl: I dont understand. On my Notebook every 4.8 Kernel after (yakkety-)HWE-Kernel v4.8.0-40 for 16.04.2 works fine on myLenovo 710S (KabyLake i5-7200).

kjellahl (kjell-ahlstedt) wrote :

I use Ubuntu 16.10. v4.8.0-41 is the only kernel that has so far been
delivered by Update Manager after 4.8.0-40.
Right now I'll just wait and see what happens. v4.10-rc7 and the newer
4.10.1 from the upstream kernels archive work. So I guess Linux kernels
from Update Manager will start working when they will be based on Linux
4.10, if not sooner.

kjellahl (kjell-ahlstedt) wrote :

v4.8.0-42 passed

uname -a
Linux kjell-Aspire-V5-551G 4.8.0-42-generic #45-Ubuntu SMP Wed Mar 8 20:06:06 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers